# std::basic_string_view::at

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr const_reference at(size_type pos) const; |  | (since C++17)

Returns a reference to the character at specified location `pos`. Bounds checking is performed, exception of type std::out_of_range will be thrown on invalid access.

### Parameters

pos | - | position of the character to return

### Return value

Reference to the requested character.

### Exceptions

Throws std::out_of_range if pos >= size().

### Complexity

Constant.

### See also

operator[] | access specified character (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/at&oldid=90116"